clan::Sized Class Reference - ClanLib SDK
Description: clan::Sized Class Reference

Public Member Functions | List of all members
clan::Sized Class Reference
clanCore Math

2D (width,height) size structure - Double More...

`#include <size.h>`

Inheritance diagram for clan::Sized:

## Public Member Functions
| Sized ()
| Sized (const Sizex< double > &s)
| Sized (const Sizex< float > &copy)
| Sized (const Sizex< int > &copy)
| Sized (const Vec2< double > &s)
| Sized (double width, double height)
Public Member Functions inherited from clan::Sizex< double >
| Sizex ()
| Constructs a size structure.
| operator Vec2< double > () const
bool | operator!= (const Sizex< double > &s) const
| Size != Size operator (deep compare).
Sizex< double > | operator* (const double &s) const
| Size * operator.
Sizex< double > & | operator*= (const double &s)
| Size *= operator.
Sizex< double > | operator+ (const Sizex< double > &s) const
| Size + Size operator.
Sizex< double > & | operator+= (const Sizex< double > &s)
| Size += Size operator.
Sizex< double > | operator- (const Sizex< double > &s) const
| Size - Size operator.
Sizex< double > & | operator-= (const Sizex< double > &s)
| Size -= Size operator.
Sizex< double > | operator/ (const double &s) const
| Size / operator.
Sizex< double > & | operator/= (const double &s)
| Size /= operator.
bool | operator== (const Sizex< double > &s) const
| Size == Size operator (deep compare).

## Additional Inherited Members
Public Attributes inherited from clan::Sizex< double >
double | height
| Size height.
double | width
| Size width.

## Detailed Description

2D (width,height) size structure - Double

## Constructor & Destructor Documentation

## ◆ Sized() [1/6]

clan::Sized::Sized | ( |  | ) |
| inline

References clan::Sizex< double >::Sizex().

## ◆ Sized() [2/6]

clan::Sized::Sized | ( | double | width,
|  | double | height )
| inline

References clan::Sizex< double >::Sizex(), clan::Sizex< double >::height, and clan::Sizex< double >::width.

## ◆ Sized() [3/6]

clan::Sized::Sized | ( | const Sizex< double > & | s | ) |
| inline

References clan::Sizex< double >::Sizex(), and clan::s.

## ◆ Sized() [4/6]

clan::Sized::Sized | ( | const Vec2< double > & | s | ) |
| inline

References clan::Sizex< double >::Sizex(), clan::s, clan::x, and clan::y.

## ◆ Sized() [5/6]

clan::Sized::Sized | ( | const Sizex< int > & | copy | ) |
| inline

References clan::Sizex< double >::Sizex(), clan::Sizex< Type >::height, clan::Sizex< double >::height, clan::Sizex< Type >::width, and clan::Sizex< double >::width.

## ◆ Sized() [6/6]

clan::Sized::Sized | ( | const Sizex< float > & | copy | ) |
| inline

References clan::Sizex< double >::Sizex(), clan::Sizex< Type >::height, clan::Sizex< double >::height, clan::Sizex< Type >::width, and clan::Sizex< double >::width.

The documentation for this class was generated from the following file:

- size.h